[arch-commits] Commit in python-pyvirtualdisplay/repos/community-any (2 files)

Bruno Pagani archange at archlinux.org
Tue Jul 28 00:41:03 UTC 2020


    Date: Tuesday, July 28, 2020 @ 00:41:03
  Author: archange
Revision: 665571

archrelease: copy trunk to community-any

Added:
  python-pyvirtualdisplay/repos/community-any/PKGBUILD
    (from rev 665570, python-pyvirtualdisplay/trunk/PKGBUILD)
Deleted:
  python-pyvirtualdisplay/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   75 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 37 insertions(+), 38 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-28 00:40:55 UTC (rev 665570)
+++ PKGBUILD	2020-07-28 00:41:03 UTC (rev 665571)
@@ -1,38 +0,0 @@
-# Maintainer: Bruno Pagani <archange at archlinux.org>
-
-_pkg=PyVirtualDisplay
-pkgname=python-${_pkg,,}
-pkgver=0.2.5
-pkgrel=1
-pkgdesc="Python wrapper for Xvfb, Xephyr and Xvnc"
-arch=(any)
-url="https://github.com/ponty/PyVirtualDisplay"
-license=(BSD)
-depends=(python-easyprocess)
-makedepends=(python-setuptools)
-checkdepends=(
-    python-pytest python-nose python-pyscreenshot python-pillow
-    python-entrypoint2 python-path.py xorg-server-xvfb xorg-server-xephyr
-    xorg-xmessage xorg-xdpyinfo scrot
-)
-#PyPi tarball does not have tests https://github.com/ponty/PyVirtualDisplay/pull/45
-#source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
-source=(${url}/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz)
-sha256sums=('30c13528871d032aec9c09b3a84452cb1d4f0dfc00a8f981df8bfa011b96e073')
-
-build() {
-  cd ${_pkg}-${pkgver}
-  python setup.py build
-}
-
-check() {
-  cd ${_pkg}-${pkgver}
-  # Test.test_slowshot and Test.test_slowshot_wrap are timing out
-  PYTHONPATH="${PWD}/build/lib" pytest tests || warning "Tests failed"
-}
-
-package() {
-  cd ${_pkg}-${pkgver}
-  python setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
-  install -Dm644 LICENSE.txt -t "${pkgdir}"/usr/share/licenses/${pkgname}
-}

Copied: python-pyvirtualdisplay/repos/community-any/PKGBUILD (from rev 665570, python-pyvirtualdisplay/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-28 00:41:03 UTC (rev 665571)
@@ -0,0 +1,37 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+_pkg=PyVirtualDisplay
+pkgname=python-${_pkg,,}
+pkgver=1.3.2
+pkgrel=1
+pkgdesc="Python wrapper for Xvfb, Xephyr and Xvnc"
+arch=(any)
+url="https://github.com/ponty/PyVirtualDisplay"
+license=(BSD)
+depends=(python-easyprocess)
+makedepends=(python-setuptools)
+checkdepends=(
+    python-pytest python-pyscreenshot python-pillow
+    python-entrypoint2 python-path.py xorg-server-xvfb xorg-server-xephyr
+    xorg-xmessage xorg-xdpyinfo scrot
+)
+source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
+#source=(${url}/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz)
+sha256sums=('3fa85a6e490e45eab64e6be19841e0ab15ec8054c97f162079a061da6a93eba0')
+
+build() {
+  cd ${_pkg}-${pkgver}
+  python setup.py build
+}
+
+check() {
+  cd ${_pkg}-${pkgver}
+  # Test.test_slowshot and Test.test_slowshot_wrap are timing out
+  PYTHONPATH="${PWD}/build/lib" pytest tests || warning "Tests failed"
+}
+
+package() {
+  cd ${_pkg}-${pkgver}
+  python setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
+  install -Dm644 LICENSE.txt -t "${pkgdir}"/usr/share/licenses/${pkgname}
+}


More information about the arch-commits mailing list